Subject: Re: runtime header structure
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Tue, 1 Aug 2000 18:22:34 -0800

On 1 Aug 2000, at 20:46, the Illustrious Chris Faylor wrote:

> On Tue, Aug 01, 2000 at 04:20:42PM -0800, Paul Garceau wrote: >Hi
> folks, > >   Please, forgive the newbie nature of this question.
> > >   I am in the process of porting a rendering engine for
> Cygwin. > Primarily, the purpose is to allow multiple development
> >environment support for the rendering engine in question
> >(CrystalSpace). > >   Currently I am working on porting a Cygwin
> version of a >DirectX 3 (NT4) version of CrystalSpace. > >   In
> reviewing the header structure (/usr), I couldn't help but
> >notice that there were apparently duplicate headers involved. >
> >  On the one level, I see "usr/i686-pc-cygwin/include" and I
> >also see "usr/include".
> 
> /usr/i686-pc-cygwin/... is obsolete.  The "old" version of setup
> used to delete this directory if it could, but this code is
> currently missing from DJ's version of setup.exe.
> 
> >	Since I am attempting to integrate a new, NT4 based API, which
> >of the directories (usr/include, usr/i686-pc-cygwin/include, or
> >other) is the recommended location for new headers?
> 
> /usr/local/include would be the preferred place to put new
> headers. You shouldn't be polluting the "standard" locations with
> your changes.

	Thanks for the clarification.

	Peace,

		Paul G.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]